FFXIV - ReShade 5.9.1 Failed To Compile (SOLVED)

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago #1 by ClaraCatte FFXIV - ReShade 5.9.0 Failed To Compile was created by ClaraCatte
So, the recent update to reshade seems to have borked a lot of FX files and I'm not the only one. Many XIV users are experiencing the same problem. For mine, it says it has an error X3004 "Unrecognized Property" for all of them listed below and I'll say what it isn't recognizing. Any help with this would be appreciated for myself and what I can forward to my XIV friends. We did download the new qUINT file as I saw in one of the other posts, but that didn't help matters.
  • Cursor.fx
    • Format
  • LUTTools.fx
    • Format
  • RetroTV.fx
    • MinFilter
  • qUINT_ssr.fx
    • AddressU
  • CRT-NewPixie.fx
    • MinFilter
  • CRTCX.fx
    • MinFilter
  • RadialSlitScan.fx
    • Width
    • Height
  • SlitScan.fx
    • Width
    • Height
  • SplicedRadials.fx
    • Width
  • Swirl.fx
    • Width

Please Log in or Create an account to join the conversation.

  • crosire
More
6 months 3 weeks ago #2 by crosire Replied by crosire on topic FFXIV - ReShade 5.9.0 Failed To Compile
Those effects had bugs, those bugs were since fixed by the respective effect authors. Simply use the setup tool to download the relevant packages that contain them to update them (qUINT by Marty McFly, fubax-shaders by Fubaxiusz, RSRetroArch by Matsilagi, Warp-FX by Radegast) and the errors will go away.

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago #3 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.0 Failed To Compile
Oh they have? Sweet. Lemme try that out and see if it works. If it does, I'll relay this.

I guess when 5.9.0 released, those hadn't been fixed at the time.

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago #4 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.0 Failed To Compile
Alrighty, I did the update via Modify to redownload all the files and it fixed some of them, but not all.
The ones that are still giving errors are the following:
  • Cursor.fx
    • Format
  • LUTTools.fx
    • Format
  • RetroTV.fx
    • MinFilter
  • RadialSlitScan.fx
    • Width
    • Height
  • SlitScan.fx
    • Width
    • Height
  • SplicedRadials.fx
    • Width
  • Swirl.fx
    • Width

Please Log in or Create an account to join the conversation.

  • crosire
More
6 months 3 weeks ago #5 by crosire Replied by crosire on topic FFXIV - ReShade 5.9.0 Failed To Compile
The last 4 are from github.com/Radegast-FFXIV/Warp-FX and have definitely been fixed, which is updated if you select Warp-FX in the setup tool. Unless you moved them to a non-default location in which case it might have put them somewhere else and the old ones are still causing trouble.
The following user(s) said Thank You: ClaraCatte

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago #6 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.0 Failed To Compile
Hmmm. I had moved things over from GShade awhile back when yanno...that stuff went down. But things worked okay then. I did the 'select all' thing when I went through 'Modify', but I'll double check. All else fails, download it directly from Warp-FX.

Please Log in or Create an account to join the conversation.

  • crosire
More
6 months 3 weeks ago #7 by crosire Replied by crosire on topic FFXIV - ReShade 5.9.0 Failed To Compile
Otherwise, the likelihood you need those effects or were using them is slim, so can also just delete them and save load time.

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago #8 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.0 Failed To Compile
Hmm....so I did a fresh install of ReShade. Things were alright. Started moving over GShade presets, and that is where problems began to arise.
  • LUTTools.fx
    • Format unrecognized
  • PPFX_SSDO.fx
    • Depth3D.fx already created with the same name but different semantic
  • qUINT_ssr.fx
    • Address unrecognized
  • RetroTV.fx
    • MinFilter unrecognized

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago #9 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.0 Failed To Compile
Alright, managed to fix the RetroTX.fx, but the other three are still giving errors. I had to go in and install RetroTV manually.

I did read something that PPFX is not updated anymore, so maybe I should just remove it?

Please Log in or Create an account to join the conversation.

  • crosire
More
6 months 3 weeks ago #10 by crosire Replied by crosire on topic FFXIV - ReShade 5.9.0 Failed To Compile
The PPFX one isn't broken, there is just a conflict between it and Depth3D (has always been there, just was only shown when one of them was enabled before, rather than at load time), so need to decide which one you want to keep.
The following user(s) said Thank You: ClaraCatte

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago #11 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.0 Failed To Compile
Oooh! Hm. Is there one I should delete over the other? Seems a lot of shaders use PPFX

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago - 6 months 3 weeks ago #12 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.1 Failed To Compile
Here's where I found this btw: www.reddit.com/r/ReShade/comments/uccvfu/what_happened_to_ppfx/

I have updated to 5.9.1 as of now. Only LUTTools and qUINT_ssr are the issue now (aside from Depth3D and PPFX hating each other, but we'll handle that one.) 
Last edit: 6 months 3 weeks ago by ClaraCatte.

Please Log in or Create an account to join the conversation.

  • .Nimvaei
More
6 months 3 weeks ago - 6 months 3 weeks ago #13 by .Nimvaei Replied by .Nimvaei on topic FFXIV - ReShade 5.9.0 Failed To Compile
Nvm, managed to find a fix!

There was an error or something within the .fx's coding, someone on the reshade discord has gone ahead and provided fixed versions.
Last edit: 6 months 3 weeks ago by .Nimvaei.

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago - 6 months 3 weeks ago #14 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.1 Failed To Compile
A fix to the above or something else? XD I should join the reshade discord.
Last edit: 6 months 3 weeks ago by ClaraCatte. Reason: Fixing to add 5.9.1

Please Log in or Create an account to join the conversation.

  • crosire
More
6 months 3 weeks ago #15 by crosire Replied by crosire on topic FFXIV - ReShade 5.9.1 Failed To Compile
The updated qUINT_ssr.fx was downloaded by the setup tool, but when you copied over your previous stuff, probably overwrote it again. Can also download it manually here: github.com/martymcmodding/qUINT/blob/mas...Shaders/qUINT_ssr.fx
Same applies to LUTTools.fx: github.com/Fubaxiusz/fubax-shaders/blob/.../Shaders/LUTTools.fx
The following user(s) said Thank You: ClaraCatte

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago #16 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.1 Failed To Compile
Aha....I think I may have found the issue, yes. qUINT's new stuff is in the folder labeled qUINT but there were some older files outside of that which were also qUINT....like from back in February. Must've been brought over cause of Gshade. Gonna check LUTTools too.

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago #17 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.1 Failed To Compile
Well that solved the qUINT error. Still getting one for LUTTools.fx, however, for the same reason, even with the new file put in the Fubax folder.

Please Log in or Create an account to join the conversation.

  • ClaraCatte
  • Topic Author
More
6 months 3 weeks ago - 6 months 3 weeks ago #18 by ClaraCatte Replied by ClaraCatte on topic FFXIV - ReShade 5.9.1 Failed To Compile (SOLVED)
AHA! I found the problem!

GShade has some extra folders that ReShade does not, where it hides computeShaders as well as another version of LUTTools and Depth3D.
Delete those folders (which is ComputeShaders, Addons, and Optional), since ReShade doesn't use any of those (Only needs Shaders and Textures), and presto! No more errors!
Last edit: 6 months 3 weeks ago by ClaraCatte. Reason: Fixed title to show this was solved.

Please Log in or Create an account to join the conversation.

  • leniasiren
More
6 months 1 week ago #19 by leniasiren Replied by leniasiren on topic FFXIV - ReShade 5.9.0 Failed To Compile
How did you install RetroTV?

Please Log in or Create an account to join the conversation.

  • GoblinKing
More
6 months 6 days ago - 6 months 6 days ago #20 by GoblinKing Replied by GoblinKing on topic FFXIV - ReShade 5.9.1 Failed To Compile
Interestingly, using Modify and redownloading the fx didn't work fully. I had to manually delete the following files:

Fubax: Cursor.fx
Radegast: RadialSlitScan.fx, SlitScan.fx, SplicedRadials.fx, Swirl.fx

It seems these fx files are outdated and no longer provided by the fx packs.
Last edit: 6 months 6 days ago by GoblinKing.

Please Log in or Create an account to join the conversation.

We use cookies
We use cookies on our website. Some of them are essential for the operation of the forum. You can decide for yourself whether you want to allow cookies or not. Please note that if you reject them, you may not be able to use all the functionalities of the site.